| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
IContentFilter::FilterSampleInfo Struct Reference

Selected information from the cache change that is passed to the content filter object on payload evaluation. More...

`#include <IContentFilter.hpp>`

## Public Types

using | SampleIdentity = eprosima::fastdds::rtps::SampleIdentity

## Public Member Functions

| FilterSampleInfo ()=default
| FilterSampleInfo (const rtps::WriteParams &wparams)

## Public Attributes

SampleIdentity | sample_identity
| Identity of the sample being filtered.
SampleIdentity | related_sample_identity
| Identity of a sample related to the one being filtered.
std::shared_ptr< fastdds::rtps::WriteParams::UserWriteData > | user_write_data
| Extra write information that can be used by the prefilter.

## Detailed Description

Selected information from the cache change that is passed to the content filter object on payload evaluation.

## Member Typedef Documentation

## ◆ SampleIdentity

using SampleIdentity = eprosima::fastdds::rtps::SampleIdentity

## Constructor & Destructor Documentation

## ◆ FilterSampleInfo() [1/2]

FilterSampleInfo | ( |  | ) |

default

## ◆ FilterSampleInfo() [2/2]

FilterSampleInfo | ( | const rtps::WriteParams & | wparams | ) |

inline explicit

## Member Data Documentation

## ◆ related_sample_identity

SampleIdentity related_sample_identity

Identity of a sample related to the one being filtered.

## ◆ sample_identity

SampleIdentity sample_identity

Identity of the sample being filtered.

## ◆ user_write_data

std::shared_ptr<fastdds::rtps::WriteParams::UserWriteData> user_write_data

Extra write information that can be used by the prefilter.

The documentation for this struct was generated from the following file:

- include/fastdds/dds/topic/IContentFilter.hpp